Subject: bug#13561: closed (Re: bug#13561: 24.3.50; `dired-do-run-mail' should ask for confirmation first)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 09 Feb 2013 05:10:02 +0000

Your bug report

#13561: 24.3.50; `dired-do-run-mail' should ask for confirmation first

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13561: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13561
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13561: 24.3.50; `dired-do-run-mail' should ask for confirmation first
From: Chong Yidong <[email-masked]>
To: "Drew Adams" <[email-masked]>
Cc: [email-masked]
Date: Sat, 09 Feb 2013 13:09:38 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

"Drew Adams" <[email-masked]> writes:

> Here's the problem:  `V' is bound to `dired-do-run-mail'.  And it is too
> easy to accidentally hit `V'.  I just hit it instead of `B', for
> instance, after marking some files to byte-compile.

I've changed dired-do-run-mail to ask for confirmation (on trunk).

Subject: 24.3.50; `dired-do-run-mail' should ask for confirmation first
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Sat, 26 Jan 2013 10:46:27 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Here's the problem:  `V' is bound to `dired-do-run-mail'.  And it is too
easy to accidentally hit `V'.  I just hit it instead of `B', for
instance, after marking some files to byte-compile.
 
Instead of asking for confirmation, it went off and tried to do its
thing, ultimately resulting in an error message etc.
 
In general, commands that act on the marked files should require some
user interaction before doing their thing.  Often it is enough that they
prompt for some info, for the user to at least be able to see whether
s?he has got the right command.  If they do not prompt for any info,
then they should, in general, ask for confirmation.
 
In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-01-25 on ODIEONE
Bzr revision: 111604 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'